Package org.jfree.layouting.renderer.model

## Class DefaultBoxDefinitionFactory

- java.lang.Object
- - org.jfree.layouting.renderer.model.DefaultBoxDefinitionFactory

- All Implemented Interfaces:
    `BoxDefinitionFactory`

      public class DefaultBoxDefinitionFactory
      extends java.lang.Object
      implements BoxDefinitionFactory

  Creation-Date: 25.06.2006, 15:46:01
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultBoxDefinitionFactory​(BorderFactory borderFactory)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RenderLength` | `computeWidth​(CSSValue widthValue, LayoutContext boxContext, OutputProcessorMetaData metaData, boolean allowAuto, boolean allowNegativeValues)` |
    `BoxDefinition` | `createBlockBoxDefinition​(LayoutContext boxContext, OutputProcessorMetaData metaData)` | Creates a Box-Definition.
    `BoxDefinition` | `createInlineBoxDefinition​(LayoutContext boxContext, OutputProcessorMetaData metaData)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBoxDefinitionFactory

          public DefaultBoxDefinitionFactory​(BorderFactory borderFactory)

  - ### Method Detail

    - #### createBlockBoxDefinition

          public BoxDefinition createBlockBoxDefinition​(LayoutContext boxContext,
                                                        OutputProcessorMetaData metaData)

      Description copied from interface: `BoxDefinitionFactory`
      Creates a Box-Definition.
      Specified by:
        `createBlockBoxDefinition` in interface `BoxDefinitionFactory`
      Returns:

    - #### createInlineBoxDefinition

          public BoxDefinition createInlineBoxDefinition​(LayoutContext boxContext,
                                                         OutputProcessorMetaData metaData)

      Specified by:
        `createInlineBoxDefinition` in interface `BoxDefinitionFactory`

    - #### computeWidth

          public static RenderLength computeWidth​(CSSValue widthValue,
                                                  LayoutContext boxContext,
                                                  OutputProcessorMetaData metaData,
                                                  boolean allowAuto,
                                                  boolean allowNegativeValues)